<script lang="ts">
    // import { url } from "@roxi/routify"

    export let description: string;
    export let title: string;
    export let image: string | null;
</script>
<svelte:head>
    <title>{title} - Higenku</title>

    <meta name="description" content={description} />
    
    <meta itemprop="name" content="{title} - Higenku">
    <meta name="twitter:title" content="{title} - Higenku">
    <meta property="og:title" content="{title} - Higenku" />
    
    
    <meta itemprop="description" content="{description}">
    <meta property="og:description" content="{description}" />
    <meta name="twitter:description" content="{description}">
    
    
    <meta property="og:url" content="https://higenku.org/" />
    
    
    {#if image}
        <meta itemprop="image" content="{image}">
        <meta name="twitter:image" content="{image}">
        <meta property="og:image" content="{image}" />
    {/if}
    
    <meta name="twitter:card" content="product">
</svelte:head>